# LivingNorwayR <img src="man/figures/logo.png" align="right" />

[![Project Status: Active – The project has reached a stable, usable state and is being actively developed.](https://www.repostatus.org/badges/latest/active.svg)](https://www.repostatus.org/#active)

The LivingNorwayR package provides a workflow for creating a Darwin Core standard-compliant data archive ("a data package"). This facilitates FAIR (Findable, Accessible, Interoperable, Reusable; https://www.go-fair.org/fair-principles/) data sharing and uploading of Darwin Core archives (data packages) to repositories such as GBIF. The Living Norway package also provides tools for the processing and manipulation of metadata associated with Darwin Core archives and for the import and export of metadata according to the EML (Ecological Metadata Language; https://eml.ecoinformatics.org/) standard.

The code for the package can be found here: URL: https://github.com/LivingNorway/LivingNorwayR. See the guidelines (below) for details on how to contribute to the package development.

If you identify any bugs please let us know (submit a "Bug Report" here: https://github.com/LivingNorway/LivingNorwayR/issues)

## Installation
install.packages("devtools")

devtools::install_github("LivingNorway/LivingNorwayR")

## Basic example of the workflow

For a basic example of the workflow please see the [vignettes ("Articles")](https://livingnorway.github.io/LivingNorwayR/).

## Join us at the next Living Norway colloquium 

For details of[ up-coming events and colloquia](https://livingnorway.no/).

## Join our "Open Science lab"

To expand the activities and the knowhow created in the Living Norway Ecological Data Network and reach out to the ecological research community, we launch the open science lab project. All ecologists and others (anywhere in the world!) who use or produce ecological data at all educational and career stages are invited to [join us](https://livingnorway.no/join-the-living-norway-ecological-data-network-through-our-open-science-lab/).

## Contributing to LivingNorwayR

We would appreciate your inputs! We want to make contributing to this project as easy and transparent as possible. We use GitHub to host code, to track issues and feature requests, as well as accept pull requests. If you do not use GitHub you can submit questions and feature requests through the [issues](https://github.com/LivingNorway/LivingNorwayR/issues).

We actively welcome your pull requests:

Fork the repo and create your branch from master.

* If you've added code that should be tested, add tests.

* Ensure the test suite passes.

* Issue that pull request!

Any contributions you make will be under the GPL3 license
