% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GBIFEOLReferencesExtension.R
\name{GBIFEOLReferencesExtension}
\alias{GBIFEOLReferencesExtension}
\title{R6 class representing a data structure for a GBIF EOLReferencesExtension augmented data table (based on the Dawrin core)}
\description{
R6 class representing a data structure for a GBIF EOLReferencesExtension augmented data table (based on the Dawrin core)

R6 class representing a data structure for a GBIF EOLReferencesExtension augmented data table (based on the Dawrin core)
}
\details{
The \code{GBIFEOLReferencesExtension} class allows for the specification of data tables that comply with the EOLReferencesExtension
\url{http://www.eol.org/schema/transfer#/EOLReferencesExtension}{class specification} of GBIF.
}
\seealso{
\code{\link[DwCTerm]{DwCTerm}} \code{\link[getGBIFEOLReferencesExtensionMembers]{getGBIFEOLReferencesExtensionMembers}}
}
\section{Super class}{
\code{\link[LivingNorwayR:DwCGeneric]{LivingNorwayR::DwCGeneric}} -> \code{GBIFEOLReferencesExtension}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-new}{\code{GBIFEOLReferencesExtension$new()}}
\item \href{#method-clone}{\code{GBIFEOLReferencesExtension$clone()}}
}
}
\if{html}{
\out{<details ><summary>Inherited methods</summary>}
\itemize{
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="exportAsDataFrame">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-exportAsDataFrame}{\code{LivingNorwayR::DwCGeneric$exportAsDataFrame()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="exportTable">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-exportTable}{\code{LivingNorwayR::DwCGeneric$exportTable()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getAssociatedTerms">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getAssociatedTerms}{\code{LivingNorwayR::DwCGeneric$getAssociatedTerms()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getDefaultYearFormat">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getDefaultYearFormat}{\code{LivingNorwayR::DwCGeneric$getDefaultYearFormat()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getDwCClassName">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getDwCClassName}{\code{LivingNorwayR::DwCGeneric$getDwCClassName()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getDwCTermInfo">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getDwCTermInfo}{\code{LivingNorwayR::DwCGeneric$getDwCTermInfo()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getIDIndex">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getIDIndex}{\code{LivingNorwayR::DwCGeneric$getIDIndex()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getIDName">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getIDName}{\code{LivingNorwayR::DwCGeneric$getIDName()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getTableName">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getTableName}{\code{LivingNorwayR::DwCGeneric$getTableName()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getTableTermName">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getTableTermName}{\code{LivingNorwayR::DwCGeneric$getTableTermName()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="getTermMapping">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-getTermMapping}{\code{LivingNorwayR::DwCGeneric$getTermMapping()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="importDataTable">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-importDataTable}{\code{LivingNorwayR::DwCGeneric$importDataTable()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="print">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-print}{\code{LivingNorwayR::DwCGeneric$print()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="setDefaultYearFormat">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-setDefaultYearFormat}{\code{LivingNorwayR::DwCGeneric$setDefaultYearFormat()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="LivingNorwayR" data-topic="DwCGeneric" data-id="setTableName">}\href{../../LivingNorwayR/html/DwCGeneric.html#method-setTableName}{\code{LivingNorwayR::DwCGeneric$setTableName()}}\out{</span>}
}
\out{</details>}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-new"></a>}}
\if{latex}{\out{\hypertarget{method-new}{}}}
\subsection{Method \code{new()}}{
Create a new GBIFEOLReferencesExtension object
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GBIFEOLReferencesExtension$new(
  objectData,
  idColumnInfo,
  nameAutoMap = FALSE,
  defDateFormat = "YYYY-MM-DD",
  ...
)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{objectData}}{A \code{data.frame} containing the data to import into the object}

\item{\code{idColumnInfo}}{Either a \code{character} scalar containing the column name of
\code{objectData} or an \code{integer} scalar giving the index of the column of
\code{objectData} that corresponds to the ID variable.  Alternatively, this parameter
may be the qualified name of the Darwin core term for which the appropriately mapped column
will be used as the ID variable (the possible Darwin core term names can be found by running
\code{names(getGBIFEOLReferencesExtensionMembers())})}

\item{\code{nameAutoMap}}{A \code{logical} scalar that if \code{TRUE} maps the columns of \code{objectData}
to their respective Darwin core terms based on the column names}

\item{\code{defDateFormat}}{A \code{character} scalar providing the default format for strings denoting dates in the
data table.  See the \url{https://dwc.tdwg.org/text/#1-introduction}{Darwin Core text guide} for expected values
for this string.}

\item{\code{...}}{A named set of paramaeters corresponding to Darwin core terms associated with the GBIFEOLReferencesExtension
class type.  Each is either a \code{character} scalar containing the column name of \code{objectData}
or an \code{integer} scalar giving the index of the column of \code{objectData} that corresponds to the
term. Mappable terms can be found using: \code{sapply(X = getGBIFEOLReferencesExtensionMembers(), FUN = function(curTerm) { curTerm$getTermName() })}}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
A new \code{GBIFEOLReferencesExtension} object
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-clone"></a>}}
\if{latex}{\out{\hypertarget{method-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GBIFEOLReferencesExtension$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
